--- a/ekg-json.cabal
+++ b/ekg-json.cabal
@@ -1,5 +1,6 @@
 name:                ekg-json
 version:             0.1.0.6
+x-revision: 7
 synopsis:            JSON encoding of ekg metrics
 description:
   Encodes ekg metrics as JSON, using the same encoding as used by the
@@ -20,8 +21,8 @@
   exposed-modules:
     System.Metrics.Json
   build-depends:
-    aeson >=0.4 && < 1.3,
-    base >= 4.5 && < 4.11,
+    aeson >=0.4 && < 1.6,
+    base >= 4.5 && < 4.15,
     ekg-core >= 0.1 && < 0.2,
     text < 1.3,
     unordered-containers < 0.3
